summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO27
-rw-r--r--CONTENTS1
-rw-r--r--LICENSE97
-rw-r--r--PKGBUILD40
-rw-r--r--texlive-stratum0-beamer.install0
-rw-r--r--texlive-stratum0-beamer.maps1
6 files changed, 166 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..ed00d76702c
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,27 @@
+pkgbase = texlive-stratum0-beamer
+ pkgdesc = LaTeX beamer classes for Stratum 0 corporate design
+ pkgver = 1.0
+ pkgrel = 1
+ url = https://github.com/stratum0/stratum0-latex
+ arch = any
+ license = LPPL
+ license = custom:OFL
+ depends = curl
+ depends = unzip
+ depends = texlive-core
+ depends = texlive-bin
+ depends = texlive-fontsextra
+ depends = texlive-latexextra
+ provides = texlive-stratum0-beamer
+ conflicts = texlive-stratum0-beamer
+ source = https://github.com/stratum0/stratum0-latex/releases/download/v1.0-beta4/stratum0beamer-v1.0-beta4.zip
+ source = texlive-stratum0-beamer.maps
+ source = CONTENTS
+ source = LICENSE
+ sha512sums = 563de3c7611dc62a2003132460a88b660f0a981747fb84fa6d9b29394e7205bf7bcd5ec9fcb36184eb544cb2224e94d38adc2af47a5ed63b1860bc1c0edf1243
+ sha512sums = 903a3505b6994bb67ea2d419b5a46bc6f62de1f89c6bdf28d77dadfc46f128f11911aeeaf7d2086557ec284a5c61cad3c7b34e6e81a56911e55b0733949da516
+ sha512sums = 6f6a960ade6e616f9150830eb1d2e45cdc00539bf85b8282c62cbd6b1603ae8729b04d8ab3bc7a7118380b9a28edfaabb46fc5e625a32d52c49b0e99d132b551
+ sha512sums = fafa264e25460771db0b01d6f900a51401a6a76caaaeb46c109f2ec938afa24fa3d0d8f063f85d751965477081f96796c5ef94c5b4e2972d12c7c09342242509
+
+pkgname = texlive-stratum0-beamer
+
diff --git a/CONTENTS b/CONTENTS
new file mode 100644
index 00000000000..aa2b3e7475f
--- /dev/null
+++ b/CONTENTS
@@ -0,0 +1 @@
+texlive-stratum0-beamer 1.0
diff --git a/LICENSE b/LICENSE
new file mode 100644
index 00000000000..f1a20ac1a8a
--- /dev/null
+++ b/LICENSE
@@ -0,0 +1,97 @@
+Copyright (c) <dates>, <Copyright Holder> (<URL|email>),
+with Reserved Font Name <Reserved Font Name>.
+Copyright (c) <dates>, <additional Copyright Holder> (<URL|email>),
+with Reserved Font Name <additional Reserved Font Name>.
+Copyright (c) <dates>, <additional Copyright Holder> (<URL|email>).
+
+This Font Software is licensed under the SIL Open Font License, Version 1.1.
+This license is copied below, and is also available with a FAQ at:
+http://scripts.sil.org/OFL
+
+
+-----------------------------------------------------------
+SIL OPEN FONT LICENSE Version 1.1 - 26 February 2007
+-----------------------------------------------------------
+
+PREAMBLE
+The goals of the Open Font License (OFL) are to stimulate worldwide
+development of collaborative font projects, to support the font creation
+efforts of academic and linguistic communities, and to provide a free and
+open framework in which fonts may be shared and improved in partnership
+with others.
+
+The OFL allows the licensed fonts to be used, studied, modified and
+redistributed freely as long as they are not sold by themselves. The
+fonts, including any derivative works, can be bundled, embedded,
+redistributed and/or sold with any software provided that any reserved
+names are not used by derivative works. The fonts and derivatives,
+however, cannot be released under any other type of license. The
+requirement for fonts to remain under this license does not apply
+to any document created using the fonts or their derivatives.
+
+DEFINITIONS
+"Font Software" refers to the set of files released by the Copyright
+Holder(s) under this license and clearly marked as such. This may
+include source files, build scripts and documentation.
+
+"Reserved Font Name" refers to any names specified as such after the
+copyright statement(s).
+
+"Original Version" refers to the collection of Font Software components as
+distributed by the Copyright Holder(s).
+
+"Modified Version" refers to any derivative made by adding to, deleting,
+or substituting -- in part or in whole -- any of the components of the
+Original Version, by changing formats or by porting the Font Software to a
+new environment.
+
+"Author" refers to any designer, engineer, programmer, technical
+writer or other person who contributed to the Font Software.
+
+PERMISSION & CONDITIONS
+Permission is hereby granted, free of charge, to any person obtaining
+a copy of the Font Software, to use, study, copy, merge, embed, modify,
+redistribute, and sell modified and unmodified copies of the Font
+Software, subject to the following conditions:
+
+1) Neither the Font Software nor any of its individual components,
+in Original or Modified Versions, may be sold by itself.
+
+2) Original or Modified Versions of the Font Software may be bundled,
+redistributed and/or sold with any software, provided that each copy
+contains the above copyright notice and this license. These can be
+included either as stand-alone text files, human-readable headers or
+in the appropriate machine-readable metadata fields within text or
+binary files as long as those fields can be easily viewed by the user.
+
+3) No Modified Version of the Font Software may use the Reserved Font
+Name(s) unless explicit written permission is granted by the corresponding
+Copyright Holder. This restriction only applies to the primary font name as
+presented to the users.
+
+4) The name(s) of the Copyright Holder(s) or the Author(s) of the Font
+Software shall not be used to promote, endorse or advertise any
+Modified Version, except to acknowledge the contribution(s) of the
+Copyright Holder(s) and the Author(s) or with their explicit written
+permission.
+
+5) The Font Software, modified or unmodified, in part or in whole,
+must be distributed entirely under this license, and must not be
+distributed under any other license. The requirement for fonts to
+remain under this license does not apply to any document created
+using the Font Software.
+
+TERMINATION
+This license becomes null and void if any of the above conditions are
+not met.
+
+DISCLAIMER
+THE FONT SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
+OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE
+COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL
+DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM
+OTHER DEALINGS IN THE FONT SOFTWARE.
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..91ef28e6c53
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Tim Schubert <aur-at-timschubert-dot-net>
+pkgname=texlive-stratum0-beamer
+pkgver=1.0
+_revnr=${pkgver}
+pkgrel=1
+pkgdesc="LaTeX beamer classes for Stratum 0 corporate design"
+arch=('any')
+url="https://github.com/stratum0/stratum0-latex"
+license=('LPPL' 'custom:OFL')
+depends=('texlive-core' 'texlive-bin' 'texlive-fontsextra' 'texlive-latexextra')
+provides=('texlive-stratum0-beamer')
+conflicts=('texlive-stratum0-beamer')
+source=("https://github.com/stratum0/stratum0-latex/releases/download/v${pkgver}-beta4/stratum0beamer-v1.0-beta4.zip" "$pkgname.maps" 'CONTENTS' 'LICENSE')
+sha512sums=(
+'563de3c7611dc62a2003132460a88b660f0a981747fb84fa6d9b29394e7205bf7bcd5ec9fcb36184eb544cb2224e94d38adc2af47a5ed63b1860bc1c0edf1243'
+'903a3505b6994bb67ea2d419b5a46bc6f62de1f89c6bdf28d77dadfc46f128f11911aeeaf7d2086557ec284a5c61cad3c7b34e6e81a56911e55b0733949da516'
+'6f6a960ade6e616f9150830eb1d2e45cdc00539bf85b8282c62cbd6b1603ae8729b04d8ab3bc7a7118380b9a28edfaabb46fc5e625a32d52c49b0e99d132b551'
+'fafa264e25460771db0b01d6f900a51401a6a76caaaeb46c109f2ec938afa24fa3d0d8f063f85d751965477081f96796c5ef94c5b4e2972d12c7c09342242509')
+
+package() {
+ cd "$srcdir"
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+ install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+ sed -i '/^#/d' CONTENTS
+ install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+ install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+ install -m755 -d $pkgdir/usr/share
+ wanteddirs=$(for d in *; do test -d $d && echo $d; done) || true
+ for dir in $wanteddirs; do
+ find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+ find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+ done
+ if [[ -d texmf-dist ]]; then
+ find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+ find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+ fi
+ if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+ find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+ fi
+}
diff --git a/texlive-stratum0-beamer.install b/texlive-stratum0-beamer.install
new file mode 100644
index 00000000000..e69de29bb2d
--- /dev/null
+++ b/texlive-stratum0-beamer.install
diff --git a/texlive-stratum0-beamer.maps b/texlive-stratum0-beamer.maps
new file mode 100644
index 00000000000..03d61c2f1be
--- /dev/null
+++ b/texlive-stratum0-beamer.maps
@@ -0,0 +1 @@
+Map YanoneKaffeesatzZeroHack.map